 name: Build and Deploy

  on:
    push:
      branches: [main]

  jobs:
    deploy:
      runs-on: native
      steps:
        - uses: actions/checkout@v4

        - name: Build Docker image
          run: podman build -t
  localhost/hugo-home:latest .

        - name: Restart container
          run: systemctl --user restart
  podman-hugo-home.service || true

